{% extends 'base.html' %}


{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p>
                <a href="{% url 'create_project' %}">Create a new project</a>
            </p>
        {% if not list_projects %}
            <p>You are not assigned to any projects</p>
        {% else %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                {% for project in list_projects %}
                    <tr>
                        <td><a href="{% url 'show_project' project.id %}">{{ project.name }}</a></td>
                        <td>{{ project.tasks.all|length }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        {% endif %}
        </div>
    </main>
{% endblock content %}
